<?php

namespace Bixo\Aml;

use DB;
use Illuminate\Database\Seeder;

class SanctionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('sanctions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'aml.sanction.view',
                'name'      => 'View Sanction',
            ],
            [
                'slug'      => 'aml.sanction.create',
                'name'      => 'Create Sanction',
            ],
            [
                'slug'      => 'aml.sanction.edit',
                'name'      => 'Update Sanction',
            ],
            [
                'slug'      => 'aml.sanction.delete',
                'name'      => 'Delete Sanction',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/aml/sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/aml/sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sanction',
                'name'        => 'Sanction',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Aml',
                'module'    => 'Sanction',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'aml.sanction.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
