<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for name in aml package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  name module in aml package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Name',
    'names'         => 'Names',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Names',
        'sub'   => 'Names',
        'list'  => 'List of names',
        'edit'  => 'Edit name',
        'create'    => 'Create new name'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'first_name'                 => 'Please enter first name',
        'middle_name'                => 'Please enter middle name',
        'last_name'                  => 'Please enter last name',
        'family_name'                => 'Please enter family name',
        'nationality'                => 'Please enter nationality',
        'dob'                        => 'Please select dob',
        'passport_no'                => 'Please enter passport no',
        'passport_expiry'            => 'Please select passport expiry',
        'emirates_id'                => 'Please enter emirates id',
        'description'                => 'Please enter description',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'first_name'                 => 'First name',
        'middle_name'                => 'Middle name',
        'last_name'                  => 'Last name',
        'family_name'                => 'Family name',
        'nationality'                => 'Nationality',
        'dob'                        => 'Dob',
        'passport_no'                => 'Passport no',
        'passport_expiry'            => 'Passport expiry',
        'emirates_id'                => 'Emirates id',
        'description'                => 'Description',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'first_name'                 => ['name' => 'First name', 'data-column' => 1, 'checked'],
        'middle_name'                => ['name' => 'Middle name', 'data-column' => 2, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 3, 'checked'],
        'family_name'                => ['name' => 'Family name', 'data-column' => 4, 'checked'],
        'nationality'                => ['name' => 'Nationality', 'data-column' => 5, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 6, 'checked'],
        'passport_no'                => ['name' => 'Passport no', 'data-column' => 7, 'checked'],
        'passport_expiry'            => ['name' => 'Passport expiry', 'data-column' => 8, 'checked'],
        'emirates_id'                => ['name' => 'Emirates id', 'data-column' => 9, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Names',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
