<?php

namespace Bixo\Aml\Repositories\Eloquent;

use Bixo\Aml\Interfaces\NameRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NameRepository extends BaseRepository implements NameRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.aml.name.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.aml.name.model.model');
    }
}
