Lavalite package that provides aml management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/aml`.

    "bixo/aml": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Aml\Providers\AmlServiceProvider::class,

And also add it to alias

    'Aml'  => Bixo\Aml\Facades\Aml::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\AmlTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Aml\Providers\AmlServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Aml\Providers\AmlServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Aml\Providers\AmlServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/aml/{modulename}

**User**

    http://path-to-route-folder/user/aml/{modulename}

**Public**

    http://path-to-route-folder/amls


### API endpoints

**List**

    http://path-to-route-folder/api/user/aml/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/aml/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/aml/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/aml/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/aml/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/aml/{modulename}/{slug}
    METHOD: GET