<?php

namespace Bixo\Aml\Repositories\Eloquent;

use Bixo\Aml\Interfaces\NationalityRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NationalityRepository extends BaseRepository implements NationalityRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.aml.nationality.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.aml.nationality.model.model');
    }
}
